Owostack

Set customer feature billing config

Sets or clears customer-specific overage behavior for a single feature.

POST
/v1/customers/feature-config

Authorization

bearerAuth

Request Body

application/json

customer*string
feature*string
overage?|
Value in"block" | "charge" | null
maxOverageUnits?|
Range0 < value

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.owostack.com/v1/customers/feature-config" \  -H "Content-Type: application/json" \  -d '{    "customer": "string",    "feature": "string"  }'
{
  "success": true,
  "id": "string",
  "email": "user@example.com",
  "name": "string",
  "metadata": {
    "property1": null,
    "property2": null
  },
  "billing": {
    "overageLimit": {
      "maxOverageAmount": 0,
      "onLimitReached": "block",
      "createdAt": 0,
      "updatedAt": 0
    },
    "featureConfigs": [
      {
        "feature": {
          "id": "string",
          "slug": "string",
          "name": "string"
        },
        "overage": "block",
        "maxOverageUnits": 0,
        "createdAt": 0,
        "updatedAt": 0
      }
    ]
  },
  "createdAt": 0,
  "updatedAt": 0,
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}

AI Chat

Owostack docs assistant

Start a new chat below.